VSTS Fix for Package XXX Not Compatible with Net462 Issue – NuGet Tool Installer

Whilst building on VSTS, I was experiencing the following issue “Package Microsoft.Extensions.Logging 2.0.0 is not compatible with net462”.

 

Click to enlarge image

 

A lot of developers had the same issue, but there fix was to update NuGet Manager to 4.3.0 in Visual Studio. But my problem was on VSTS not in VS. So how can you update the Nuget version being used in VSTS? This is simply done by adding the NuGet Tool Installer task to your Build:

  • Click the + sign to add a new task to your phase
  • Search for Nuget Tool Installer
  • Add it above your Nuget restore task

 

 

Make sure that the NuGet Tool Installer is set to install version 4.3.0 of NuGet.exe:

Afterwards, the build was successful 🙂

 

Hello, nice to meet you

Enter your email address to subscribe to this blog and receive notifications of new posts by email.

Leave a Reply